Bug#395400: please Provides: jar for the sdk packages

Marcus Better marcus at better.se
Tue Oct 31 15:41:09 UTC 2006

Users don't usually build the package themselves, do they? And if they do, 
they are supposed to install the required build environment. In this case the 
required dependency (fastjar) is really small too.

Virtual packages in build-deps are evil. Since the different jar 
implementations are not guaranteed to be equivalent, now or in the future, 
the outcome of the build will depend on the build environment. This means 
that the package is likely to FTBFS or produce interesting random bugs at 
some point. That is exactly why the Java policy explicitly states that a 
specific JDK must be used during build.

By the way, what package are you working on?


More information about the pkg-java-maintainers mailing list